offset = 20;

module speaker() {
    difference() {
        cube([85, 153, 250], center = true);
        translate([+48.3, 0, 0]) rotate([0, 0, +3.1]) cube([20, 200, 300], center = true);
        translate([-48.3, 0, 0]) rotate([0, 0, -3.1]) cube([20, 200, 300], center = true);
    }
}

module km_extension_rod() {
    translate([0, 0, 40 - 0.01]) cylinder(15 + 3, d = 10, $fn = 180);
    cylinder(40, d = 25 + 0.4, $fn = 360);
}    

module base_shape() {
    union() {
        difference() {
            translate([0, 0, -1]) cube([90, 160, 22], center = true);
            translate([+48.3 + 3, 0, 0]) rotate([0, 0, +3.1]) cube([20, 200, 300], center = true);
            translate([-48.3 - 3, 0, 0]) rotate([0, 0, -3.1]) cube([20, 200, 300], center = true);
        }
    translate([0, +offset, -52]) cylinder(40, d = 25 + 8, $fn = 360);
    }
}    

module manual_support() {
    translate([0, 0, 3]) cube([0.4, 160, 14], center = true);
    translate([+22, 0, 3]) cube([0.4, 160, 14], center = true);
    translate([-22, 0, 3]) cube([0.4, 160, 14], center = true);

    translate([0, +offset, 3]) cube([80, 0.4, 14], center = true);
    translate([0, -40, 3]) cube([83, 0.4, 14], center = true);

    translate([0, +72, 9.9]) cube([70, 10, 0.2], center = true);
    translate([0, +offset, 9.9]) cube([80, 10, 0.2], center = true);
    translate([0, -40, 9.9]) cube([85, 10, 0.2], center = true);
    translate([0, -72, 9.9]) cube([86, 10, 0.2], center = true);
}     

difference() {
    base_shape();
    translate([0, -4.6, 125]) rotate([2.5, 0, 0]) speaker();
    translate([0, +offset, -56]) km_extension_rod();
    
    translate([-31, -79.6, -5]) rotate([90, 0, 0]) linear_extrude(2.0) scale([0.3, 0.3, 0.3]) import("bose_logo.svg");

}    

manual_support();